Get an identity
/api/v1/identities/{id}Authentication
- Bearer Token
AuthorizationJWT access token
- API Key
X-API-KeyAPI key for management-tier access
Path Parameters
| Name | Required | Type | Description |
|---|---|---|---|
id | string |
Code samples
curl -X GET "https://api.canopy.dev/api/v1/identities/value" \ -H "X-API-Key: $CANOPY_API_KEY"
const response = await fetch("https://api.canopy.dev/api/v1/identities/value", {
method: "GET",
headers: {
"X-API-Key": "$CANOPY_API_KEY"
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.canopy.dev/api/v1/identities/value",
headers={
"X-API-Key": "$CANOPY_API_KEY"
},
)
data = response.json()package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.canopy.dev/api/v1/identities/value", nil)
req.Header.Set("X-API-Key", "$CANOPY_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
200 Identity profile returned
{
"id": "string",
"email": "string",
"first_name": "string",
"last_name": "string",
"avatar_url": "string",
"external_id": "string",
"is_active": false,
"created_at": "2026-04-20T12:00:00.000Z"
}application/json
id *stringemail *stringfirst_name *stringlast_name *stringavatar_urlstringexternal_idstringis_active *booleancreated_at *string (date-time)
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
404 Identity not found